<?php
// This is the first file that is included by all scripts.

require_once($INC . "/ver.php");

$rg = array();

if (empty(ini_get('date.timezone')))
	ini_set('date.timezone', 'UTC');

// For escapeshellarg to work with UTF-8, we are forced to set a locale
setlocale(LC_CTYPE, "en_US.UTF-8");

$_host = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : php_uname('n');

if (empty($rg_ssh_host))
	$rg_ssh_host = $_host;
$rg['rg_ssh_host'] = $rg_ssh_host;
$rg['rg_ssh_port'] = $rg_ssh_port;


if (empty($rg_git_host))
	$rg_git_host = $_host;
$rg['rg_git_host'] = $rg_git_host;
$rg['rg_git_port'] = $rg_git_port;


$rg['rg_version'] = $rocketgit_version;


if (!isset($rg_scripts))
	$rg_scripts = dirname(__FILE__) . "/..";


if (!isset($rg_theme_dir))
	$rg_theme_dir = $rg_scripts . "/root/themes";


if (!isset($rg_logs_lifetime))
	$rg_logs_lifetime = 31;

?>
